/*

    makeSIGN version 1.33.1  99-08-23  a signature generator for DOS/Linux

    Copyright (C) 1999  Christian Garbs   <mitch@uni.de>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


*/

/*###########################################################################*/
/* Hauptprogramm*/

#include <stdio.h>

#include "boolean.h"
#include "global.h"
#include "types.h"
#include "vars-def.h"
#include "parts.h"
#include "string.h"

int main(argc,argv)
int argc;
char *argv[];
{

#ifdef DEBUG_MAKESIGN
	fprintf(stderr,"main() begin\n");
#endif

	init_program();
	if (process_params(argc,argv)) {
		open_outputfile();
		if (separator) {
			write_separator();
		};
		index_quotes();
		pick_quote();
		alternative_header_footer();
		if (!equal(header_file,EMPTY)) {
			write_header();
		};
		copy_quote();
		if (!equal(footer_file,EMPTY)) {
			write_footer();
		};
		close_outputfile();
	} else {
		if (help) {
			show_help();
		};
	};
	stop_program();
	return(RC_OK);

#ifdef DEBUG_MAKESIGN
	fprintf(stderr,"main() end\n");
#endif
}
